<div class="prx-wrapper ">
   <div id="instafeed" class="instafeed"></div>
    <div class="prx-button prx-button--no-arrow" id="loadmoreinstas"> <span class="proxicon-Addition prx-large"></span>
 </div>
    <script src="{{config.mbaseurl}}/assets/toolkit/scripts/vendor/instafeed.min.js"></script>
    <script type="text/javascript">
        //Set instagram feed test
        var loadButton = document.getElementById('loadmoreinstas');
        var feed = new Instafeed({
            get: 'user',
            userId: '4658260163',
            accessToken: '4658260163.1677ed0.b4e7508463d84ed4a55b129a92ed5d41',
            resolution: 'low_resolution',
            template: '<div class="instagram-image"><a style="background-image:url(\{{image}});"target="_blank" href="\{{link}}"></a></div>',
            limit:9,
            // every time we load more, run this function
            after: function () {
                  //stop animation
                 loadButton.setAttribute('loading', '');
                // disable button if no more results to load
                if (!this.hasNext()) {
                    loadButton.setAttribute('disabled', 'disabled');
                }
            }
        });

        // bind the load more button
        loadButton.addEventListener('click', function () {
              //start animation
            
            if (feed.hasNext()) {
                   loadButton.setAttribute('loading', 'true');
                }
                 
            feed.next();
        });
        feed.run();
    </script>
    

</div>